#!/bin/sh

############
# This file does cleanup/logging after a SkinnyDebbie session ends. It should be
# called from ~/.icewm/shutdown. You should probably not edit this file.
############

logFile=~/.skinny-shutdown

thisUser=`whoami`
echo -e "user: $thisUser" > $logFile

skinny-pumountall
echo -e "skinny-pumountall: $?" >> $logFile

killall -u $thisUser -9 ivman
echo -e "killall -u $thisUser -9 ivman: $?" >> $logFile

xscreensaver-command -exit
echo -e "xscreensaver-command -exit: $?" >> $logFile

killall -u $thisUser skinny-startup
echo -e "killall -u $thisUser startup: $?" >> $logFile

killall -u $thisUser check-updates.sh
echo -e "killall -u $thisUser check-updates.sh: $?" >> $logFile

killall -u $thisUser sleep
echo -e "killall -u $thisUser sleep: $?" >> $logFile

mv -f ~/.xsession-errors ~/.xsession-errors-previous
